Skip to main content
POST
/
api
/
v3
/
minimax
/
voice-clone
speech-2.5-hd-preview-voice-clone (voice to voice)
curl --request POST \
  --url https://api.example.com/api/v3/minimax/voice-clone
import requests

url = "https://api.example.com/api/v3/minimax/voice-clone"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/api/v3/minimax/voice-clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Minimax’s GPTProto format for the Voice to Voice API.
curl -X POST "https://gptproto.com/api/v3/minimax/voice-clone" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accuracy": 0.7,
  "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
  "custom_voice_id": "Alice-jiuhao-2",
  "model": "speech-2.5-hd-preview-voice-clone",
  "need_noise_reduction": false,
  "need_volume_normalization": false,
  "text": "This is a preview of your cloned voice. I hope you enjoy it!"
}'
import requests
import json

url = "https://gptproto.com/api/v3/minimax/voice-clone"
headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
}

data = {
  "accuracy": 0.7,
  "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
  "custom_voice_id": "Alice-jiuhao-2",
  "model": "speech-2.5-hd-preview-voice-clone",
  "need_noise_reduction": false,
  "need_volume_normalization": false,
  "text": "This is a preview of your cloned voice. I hope you enjoy it!"
}

response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/minimax/voice-clone";
const headers = {
  "Authorization": "YOUR_API_KEY",
  "Content-Type": "application/json"
};

const data = {
  "accuracy": 0.7,
  "audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
  "custom_voice_id": "Alice-jiuhao-2",
  "model": "speech-2.5-hd-preview-voice-clone",
  "need_noise_reduction": false,
  "need_volume_normalization": false,
  "text": "This is a preview of your cloned voice. I hope you enjoy it!"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gptproto.com/api/v3/minimax/voice-clone"

    payload := []byte(`{
"accuracy": 0.7,
"audio": "https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/audios/1752727142784562094_VRSOK53Y.mp3",
"custom_voice_id": "Alice-jiuhao-2",
"model": "speech-2.5-hd-preview-voice-clone",
"need_noise_reduction": false,
"need_volume_normalization": false,
"text": "This is a preview of your cloned voice. I hope you enjoy it!"
}`)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}
{
  "error": {
    "message": "Insufficient balance",
    "type": "403"
  }
}
{
  "error": {
    "message": "Internal server error",
    "type": "500"
  }
}
{
  "error": {
    "message": "Input may not meet the guidelines. Please adjust and try again.",
    "type": "503"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
audiostring❌ No-The uploaded file is cloned and supports formats such as MP3, M4A, and WAV.
custom_voice_idstring✅ Yes-Custom user-defined ID. Minimum 8 characters; must include letters and numbers and start with a letter (e.g., gptproto0001). Duplicate voice-ids will throw an error.
modelstring✅ Yesspeech-2.5-hd-preview-voice-cloneSpecify the TTS model to be used for the preview. This is only a preview after cloning. Once the model is generated, any Minimax Turbo or HD voice model can be used for inference.
need_noise_reductionstring❌ No-Enable noise reduction. Default is false (no noise reduction).
need_volume_normalizationboolean❌ NofalseSpecify whether to enable volume normalization. If not provided, the default value is false.
accuracynumber❌ No0.70.00 ~ 1.00 .Uploading this parameter will set the text validation accuracy threshold, with a value range of [0,1]. If not provided, the default value for this parameter is 0.7.
textstring❌ NoThis is a preview of your cloned voice. I hope you enjoy it!Text for audio preview. Limited to 2000 characters.

Response